Debian Bug report logs - #712630
ITP: pyqt5 -- Python bindings for Qt5

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Scott Kitterman <debian@kitterman.com>

Date: Tue, 18 Jun 2013 04:15:01 UTC

Owned by: Scott Kitterman <debian@kitterman.com>

Severity: wishlist

Fixed in version pyqt5/5.0-1

Done: Dmitry Shachnev <mitya57@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#712630; Package wnpp. (Tue, 18 Jun 2013 04:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 18 Jun 2013 04:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pyqt5 -- Python bindings for Qt5
Date: Tue, 18 Jun 2013 00:12:53 -0400
Package: wnpp
Severity: wishlist
Owner: Scott Kitterman <debian@kitterman.com>

* Package name    : pyqt5
  Version         : 5.0
  Upstream Author : Riverbank Computing Limited
* URL             : http://www.riverbankcomputing.com/software/pyqt/download5
* License         : GPLv3
  Programming Lang: Python
  Description     : Python bindings for Qt5

 PyQt5 exposes the Qt5 API to Python and Python3. The following modules are supported:
  * QtCore
  * QtDBus
  * QtGui
  * QtNetwork
  * QtXmlPatterns
  * QtSvg
  * QtTest
  * QtWebKit
  * QtPrintSupport
  * QtWidgets
  * QtWebKitWidgets
  * QtHelp
  * QtTest
  * QtDesigner
  * QtOpenGL
  * QtSql 
  * phonon 

This will have binaries for both python and python3 as both are
supported.  DPMT will be the maintainer and I'll be an uploader.  Anyone
who wants to work on putting this together, please let me know.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Scott Kitterman <debian@kitterman.com>:
Bug#712630; Package wnpp. (Tue, 18 Jun 2013 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Scott Kitterman <debian@kitterman.com>. (Tue, 18 Jun 2013 11:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 712630@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Scott Kitterman <debian@kitterman.com>, 712630@bugs.debian.org
Subject: Re: Bug#712630: ITP: pyqt5 -- Python bindings for Qt5
Date: Tue, 18 Jun 2013 12:28:59 +0100
On 18 June 2013 05:12, Scott Kitterman <debian@kitterman.com> wrote:
>
> This will have binaries for both python and python3 as both are
> supported.  DPMT will be the maintainer and I'll be an uploader.  Anyone
> who wants to work on putting this together, please let me know.
>

I'd be interested. I haven't looked into details, but are:
lp:~xnox/ubuntu/raring/python-qt4/qt5
lp:~mitya57/+junk/wip-pyqt5-packaging

of any use? Have you started packaging yet? I don't see anything
committed in DPMT svn.

Regards,

Dmitrijs.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#712630; Package wnpp. (Tue, 18 Jun 2013 11:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 18 Jun 2013 11:48:04 GMT) Full text and rfc822 format available.

Message #15 received at 712630@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: Dmitrijs Ledkovs <xnox@debian.org>,712630@bugs.debian.org
Subject: Re: Bug#712630: ITP: pyqt5 -- Python bindings for Qt5
Date: Tue, 18 Jun 2013 07:37:26 -0400

Dmitrijs Ledkovs <xnox@debian.org> wrote:

>On 18 June 2013 05:12, Scott Kitterman <debian@kitterman.com> wrote:
>>
>> This will have binaries for both python and python3 as both are
>> supported.  DPMT will be the maintainer and I'll be an uploader. 
>Anyone
>> who wants to work on putting this together, please let me know.
>>
>
>I'd be interested. I haven't looked into details, but are:
>lp:~xnox/ubuntu/raring/python-qt4/qt5
>lp:~mitya57/+junk/wip-pyqt5-packaging
>
>of any use? Have you started packaging yet? I don't see anything
>committed in DPMT svn.

I'm aware of mitya57's work. No. I've not done anything additional yet.



Added tag(s) pending. Request was from mitya57-guest@users.alioth.debian.org to control@bugs.debian.org. (Sat, 29 Jun 2013 09:51:04 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Shachnev <mitya57@gmail.com>:
You have taken responsibility. (Tue, 30 Jul 2013 15:03:05 GMT) Full text and rfc822 format available.

Notification sent to Scott Kitterman <debian@kitterman.com>:
Bug acknowledged by developer. (Tue, 30 Jul 2013 15:03:05 GMT) Full text and rfc822 format available.

Message #22 received at 712630-close@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 712630-close@bugs.debian.org
Subject: Bug#712630: fixed in pyqt5 5.0-1
Date: Tue, 30 Jul 2013 15:00:08 +0000
Source: pyqt5
Source-Version: 5.0-1

We believe that the bug you reported is fixed in the latest version of
pyqt5, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 712630@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Shachnev <mitya57@gmail.com> (supplier of updated pyqt5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Jul 2013 13:15:13 +0400
Source: pyqt5
Binary: python3-pyqt5 python3-pyqt5-dbg python3-dbus.mainloop.pyqt5 python3-dbus.mainloop.pyqt5-dbg python3-pyqt5.qtopengl python3-pyqt5.qtopengl-dbg python3-pyqt5.qtsql python3-pyqt5.qtsql-dbg python3-pyqt5.qtwebkit python3-pyqt5.qtwebkit-dbg python3-pyqt5.qtxmlpatterns python3-pyqt5.qtxmlpatterns-dbg python3-pyqt5.qtsvg python3-pyqt5.qtsvg-dbg python3-pyqt5.qtmultimedia python3-pyqt5.qtmultimedia-dbg pyqt5-dev pyqt5-doc pyqt5-dev-tools
Architecture: source i386 all
Version: 5.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Dmitry Shachnev <mitya57@gmail.com>
Description: 
 pyqt5-dev  - Development files for PyQt5
 pyqt5-dev-tools - Development tools for PyQt5
 pyqt5-doc  - Documentation and examples for PyQt5
 python3-dbus.mainloop.pyqt5 - D-Bus Support for PyQt5 with Python 3
 python3-dbus.mainloop.pyqt5-dbg - D-Bus Support for PyQt5 (debug extensions for Python 3)
 python3-pyqt5 - Python 3 bindings for Qt5
 python3-pyqt5-dbg - Python 3 bindings for Qt5 (debug extensions)
 python3-pyqt5.qtmultimedia - Python 3 bindings for Qt5's Multimedia module
 python3-pyqt5.qtmultimedia-dbg - Python 3 bindings for Qt5's Multimedia module (debug extension)
 python3-pyqt5.qtopengl - Python 3 bindings for Qt5's OpenGL module
 python3-pyqt5.qtopengl-dbg - Python 3 bindings for Qt5's OpenGL module (debug extension)
 python3-pyqt5.qtsql - Python 3 bindings for Qt5's SQL module
 python3-pyqt5.qtsql-dbg - Python 3 bindings for Qt5's SQL module (debug extension)
 python3-pyqt5.qtsvg - Python 3 bindings for Qt5's SVG module
 python3-pyqt5.qtsvg-dbg - Python 3 bindings for Qt5's SVG module (debug extension)
 python3-pyqt5.qtwebkit - Python 3 bindings for Qt5's WebKit module
 python3-pyqt5.qtwebkit-dbg - Python 3 bindings for Qt5's WebKit module (debug extensions)
 python3-pyqt5.qtxmlpatterns - Python 3 bindings for Qt5's XmlPatterns module
 python3-pyqt5.qtxmlpatterns-dbg - Python 3 bindings for Qt5's XmlPatterns module (debug extension)
Closes: 712630
Changes: 
 pyqt5 (5.0-1) experimental; urgency=low
 .
   [ Dmitry Shachnev ]
   * Initial release, based on python-qt4 packaging (closes: #712630).
   * debian/patches/mainloop_rename.diff: upstream patch to rename
     dbus.mainloop.qt module to dbus.mainloop.pyqt5, to prevent conflicts
     with PyQt4.
 .
   [ Scott Kitterman ]
   * Add call to dh_installdocs in debian/rules
   * Added doc-base registration, debian/pyqt5-doc.doc-base
   * Remove empty pyqt5-doc/examples/webkit/googlechat directory
   * Add debian/pyqt5-doc.links to replace embedded copy of jquery.min.js in
     the fancybrowser example with a symlink to the existing copy in the html
     documentation
   * Add debian/patches/fix-example-shebang to remove a buggy and unneeded
     shebang in examples/sql/connection.py
   * Set X-Python3-Version: >= 3.3 in debian/control as a temporary workaround
     to a dh_python3 issue with extension renaming
Checksums-Sha1: 
 74cec753e3f615890384db8f1673986252b7686c 3031 pyqt5_5.0-1.dsc
 ad143f8c1287e80f37db23618c9560b00f89bc60 3029419 pyqt5_5.0.orig.tar.gz
 90c27e2af1eb2a72c55a261ca97f6d453843c031 13336 pyqt5_5.0-1.debian.tar.gz
 cac867ff39a5a337ce587db5ce083aebceed7403 2659670 python3-pyqt5_5.0-1_i386.deb
 194c9d289c66030b47ad0158a5a1e8ac7a3638a9 3850312 python3-pyqt5-dbg_5.0-1_i386.deb
 c99c267408977750c7cf0b37e4082834647dae69 15432 python3-dbus.mainloop.pyqt5_5.0-1_i386.deb
 e2974ecb20ee5f4e60c8d82b4ac34040dd60c704 701748 python3-dbus.mainloop.pyqt5-dbg_5.0-1_i386.deb
 3376e296e8b6c60688b9f68ee250333013eebf83 39282 python3-pyqt5.qtopengl_5.0-1_i386.deb
 604c16c5bab71142e3377d2fa4cdaa34940aa273 47868 python3-pyqt5.qtopengl-dbg_5.0-1_i386.deb
 ea034f0c6cc35d39304fe40e30a31cc8f141e192 91796 python3-pyqt5.qtsql_5.0-1_i386.deb
 3d17d39cbd7f596d743bc99e45a48e6c4e8f9054 115078 python3-pyqt5.qtsql-dbg_5.0-1_i386.deb
 eb300e7fb284470e874e77ce0d59fffb8dcc6230 121516 python3-pyqt5.qtwebkit_5.0-1_i386.deb
 d116e8f1bd261686ee9dcb55c840d1f7f3e62072 156492 python3-pyqt5.qtwebkit-dbg_5.0-1_i386.deb
 4261887d36ad35c08c32883db5c79fc1e464fc38 52186 python3-pyqt5.qtxmlpatterns_5.0-1_i386.deb
 024018248d3d9d4514bc93c4668267f4b6581dad 63232 python3-pyqt5.qtxmlpatterns-dbg_5.0-1_i386.deb
 f24941d7e93f74ad87b7c7d4ccdd07ffc7d640f6 31592 python3-pyqt5.qtsvg_5.0-1_i386.deb
 398c63559f2c893cbdb1a7f6c775867bfb66f936 36452 python3-pyqt5.qtsvg-dbg_5.0-1_i386.deb
 45d604874077118fd84b72a867530bdf42aaf24c 44122 python3-pyqt5.qtmultimedia_5.0-1_i386.deb
 5d2bcfca6ee38101d7d592e72856ff1164fb5419 53906 python3-pyqt5.qtmultimedia-dbg_5.0-1_i386.deb
 c09d6a7d83939d36a1e38408a4e4e526b6c09c91 111194 pyqt5-dev-tools_5.0-1_i386.deb
 8c0d804cfa88d3e3be17e2cd8e8ea16e27d2cc52 201534 pyqt5-dev_5.0-1_all.deb
 7411631f6214aa724b75412788e4d443df0e30e8 1945414 pyqt5-doc_5.0-1_all.deb
Checksums-Sha256: 
 6ee40f92a961cce6bfdd70d8f3fdc446b73bbcbe3a8cf584cf9ecd8a4eec4a68 3031 pyqt5_5.0-1.dsc
 1357216021e16f147d76d7ad618756cbdc7fc45e5a13de3cc540920b31da693d 3029419 pyqt5_5.0.orig.tar.gz
 6692e63765a1753ef493313454e4bb9b9f6dde00c1410bce0ebd2e55b8443a1a 13336 pyqt5_5.0-1.debian.tar.gz
 c437c5aefc33319f6f803c89fb61b875e1e21a7aef2c370d7051570605441c9d 2659670 python3-pyqt5_5.0-1_i386.deb
 aef941a2d603b677ed404573c235801b390087d6d1b2979f249056e9f8de80ce 3850312 python3-pyqt5-dbg_5.0-1_i386.deb
 c421b1d46f9d06b6f69b64a629da1faf0a75ef4f363068a4feafc972f5d20dc8 15432 python3-dbus.mainloop.pyqt5_5.0-1_i386.deb
 42f0cfede4214b3eba25f2c0f0f920c1eb52a69ba8ade13cdf7b1874e47ae709 701748 python3-dbus.mainloop.pyqt5-dbg_5.0-1_i386.deb
 16922f6629689e6799c6512ddfa3a93c6210536d2f972b9b18452fe2fca542e6 39282 python3-pyqt5.qtopengl_5.0-1_i386.deb
 6616f089f4f7001e3479cd08fd2f3135cd8451adfe82215e648c4a6bdf34b056 47868 python3-pyqt5.qtopengl-dbg_5.0-1_i386.deb
 1fdf36be214d21d7adf9963ff04e92a7e24fe8b0963326e71936387901ea9a11 91796 python3-pyqt5.qtsql_5.0-1_i386.deb
 484526ebe62cb55f7c4dc6b878375e0cf8107e5c8f0f7e9245f6c2150f276dfc 115078 python3-pyqt5.qtsql-dbg_5.0-1_i386.deb
 6b6caee49856e158db1ca6f96880171e7febaaf8a8c876f2771e408b1353cdab 121516 python3-pyqt5.qtwebkit_5.0-1_i386.deb
 66f8c6b719e701903cd84c1ae5702d92fe3e42ca2425956149b435f56bf5c019 156492 python3-pyqt5.qtwebkit-dbg_5.0-1_i386.deb
 16aa1515215ed21ef0ce074acb18644ba2a6af4196a663691fbd284b638550ee 52186 python3-pyqt5.qtxmlpatterns_5.0-1_i386.deb
 a435609ddb5e0961e39a125375b240b014c97f3f0998a7110a3a6fdec6c4404f 63232 python3-pyqt5.qtxmlpatterns-dbg_5.0-1_i386.deb
 a5379aa474b89b410ab61b4e94fc006973804a73ec6627c3b26fb0937453cfe9 31592 python3-pyqt5.qtsvg_5.0-1_i386.deb
 9bd6a305876a571dd7e799425e19941d0a377a091ae4bad826df3f3c2c0746b6 36452 python3-pyqt5.qtsvg-dbg_5.0-1_i386.deb
 a4e0aa52483e5ade01f9c347e0ba107c230d3dc790bddf6b7ec9d2f5ae92cd86 44122 python3-pyqt5.qtmultimedia_5.0-1_i386.deb
 5fd22e7af0274ddb622f55d6d697d2a71fb75dfe7874c6e2c1c72b3b654098d9 53906 python3-pyqt5.qtmultimedia-dbg_5.0-1_i386.deb
 066c0182d5f8be7b5c69baf4a2367febdca77af7e283ffba98e176d88a1071a6 111194 pyqt5-dev-tools_5.0-1_i386.deb
 4f021a2d469463815323fbb0bd384513074ec0357ced7faa293cfbd03c37cf93 201534 pyqt5-dev_5.0-1_all.deb
 dbe1b7f9dd097fe7030694cc985ef23c61ce83f78f1d1b7c09ab8cc8edc603ea 1945414 pyqt5-doc_5.0-1_all.deb
Files: 
 9308690c41f796f72b381431afe9e508 3031 python optional pyqt5_5.0-1.dsc
 771b3d680a905ab5b6a13fa8707dc70a 3029419 python optional pyqt5_5.0.orig.tar.gz
 6283add841a8b485cc1127604222f583 13336 python optional pyqt5_5.0-1.debian.tar.gz
 2bf18412c0d9b41bf57a8c5538f9002b 2659670 python optional python3-pyqt5_5.0-1_i386.deb
 35151d34d48f56f49d4c8b44e58e9b23 3850312 debug extra python3-pyqt5-dbg_5.0-1_i386.deb
 083c66471a8712dfa2b0e89143548d95 15432 python optional python3-dbus.mainloop.pyqt5_5.0-1_i386.deb
 6f0ddef4424295cd069cd49fd78ce3e6 701748 debug extra python3-dbus.mainloop.pyqt5-dbg_5.0-1_i386.deb
 54a7b36a2cb9c0b08714bde607fc90b0 39282 python optional python3-pyqt5.qtopengl_5.0-1_i386.deb
 688608579be0afd5b5ae3a647154a533 47868 debug extra python3-pyqt5.qtopengl-dbg_5.0-1_i386.deb
 45841c79822690f65978e377cc20e920 91796 python optional python3-pyqt5.qtsql_5.0-1_i386.deb
 e018301c30947050a4bed49caf922f9d 115078 debug extra python3-pyqt5.qtsql-dbg_5.0-1_i386.deb
 6496fab875d5bd814e7356e9c563c0c4 121516 python optional python3-pyqt5.qtwebkit_5.0-1_i386.deb
 0e89bff040c6723354032e0b83535f88 156492 debug extra python3-pyqt5.qtwebkit-dbg_5.0-1_i386.deb
 9ef919caec321b999c12a6599cb65cc2 52186 python optional python3-pyqt5.qtxmlpatterns_5.0-1_i386.deb
 5d61440827edfbf59ce831edbced6a54 63232 debug extra python3-pyqt5.qtxmlpatterns-dbg_5.0-1_i386.deb
 d9eca050340ea0dd32bef840d320f753 31592 python optional python3-pyqt5.qtsvg_5.0-1_i386.deb
 d435a20486ffb142f7cfc2ec01a52411 36452 debug extra python3-pyqt5.qtsvg-dbg_5.0-1_i386.deb
 54fd65c23b827dcbc35d633408585f97 44122 python optional python3-pyqt5.qtmultimedia_5.0-1_i386.deb
 d42f834de36b273a594998f668fae67b 53906 debug extra python3-pyqt5.qtmultimedia-dbg_5.0-1_i386.deb
 9d335c2d058c3bd486b8def404d6f1c1 111194 python optional pyqt5-dev-tools_5.0-1_i386.deb
 af1a3bcaee27b60d1ec3e9158efb4f3c 201534 python optional pyqt5-dev_5.0-1_all.deb
 76ab6017c9f88ce99abd4edb76b3e712 1945414 doc optional pyqt5-doc_5.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlH1fE4ACgkQHajaM93NaGqq2QCeKlWlEWUcB76Nq1wu1Mne6QnD
/GUAn2Ty/sLEPkrD4Qr2mWUpOUGovrPn
=yZaG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Aug 2013 07:27:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:23:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.